> For the complete documentation index, see [llms.txt](https://docs.explodely.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.explodely.com/api/sales-api-beta.md).

# Sales API (Beta)

**Sales API Endpoint:**

`https://api.explodely.com/v1/sale`

​**Parameters:**

You can use this API endpoint to search/fetch sales data through your Explodely seller account.

username - Your Explodely account username

apikey - Your Explodely account API key

apiaction - This should always be set as "getsale" (for POST requests) and "getsalebyget" (for GET requests)

startdate - in DD-mmm-YYYY format (example: 11-jan-2026)

enddate - in DD-mmm-YYYY format (example: 11-jan-2026)

customeremail - Email of the customer for which you wish to search sales

**Responses:**

The API endpoint returns a JSON object.

`{"error":"invalidapikey"}` - This is returned when the API key and username is not authenticated.

`{"error":"invalid_sellerid"}` - This is returned when the username is not a valid seller account.

For successful fetch, the JSON object would return sales data. This API is in BETA, please report any issues to Explodely support.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.explodely.com/api/sales-api-beta.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
